Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001148KdenliveMLTpublic2009-09-17 12:112010-02-02 10:38
Reportertbartdev 
Assigned Toddennedy 
PrioritynormalSeverityminorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.6 
Summary0001148: kdenlive randomly crashes when using crop filter
DescriptionSteps to reproduce:
1) Open kdenlive
2) Add attached movie to the bin
3) Drag it onto the timeline
4) Apply the crop filter to it
5) Move the play position to somewhere over the clip
6) Wildly move around the four (top, left, rigth, buttom) values
7) Crash ;->
Additional InformationVery related to http://www.kdenlive.org/mantis/view.php?id=1041. [^]
However, the crash happens in another function.
Use the file from that bug report to reproduce.
Full bt attached.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Filestxt file icon kdenlive_crash_crop_filter_mlt_pool_release.txt [^] (6,902 bytes) 2009-09-17 12:11 [Show Content]
txt file icon kdenlive_crash_crop_filter_mlt_pool_release_v2.txt [^] (8,477 bytes) 2009-09-17 12:49 [Show Content]

- Relationships

-  Notes
(0003955)
tbartdev (reporter)
2009-09-17 12:50

Here goes version 2. It seems there is a little more info here. I attach it under *_v2.

Steps to reproduce seem always reproducible now:

Move left slider up to 400.
Move right slider up till it crashes. (overlaps).
(0004123)
ddennedy (developer)
2009-10-12 03:12

I just failed to reproduce, but I will also look for obvious bugs in the code.
(0004127)
ddennedy (developer)
2009-10-12 04:10

Fixed in MLT git commit 9c69365.

Now if you try to crop too much along an axis, it invalidates and ignores the cropping for that axis.

- Issue History
Date Modified Username Field Change
2009-09-17 12:11 tbartdev New Issue
2009-09-17 12:11 tbartdev File Added: kdenlive_crash_crop_filter_mlt_pool_release.txt
2009-09-17 12:11 tbartdev Build/Install Method => Manual build from SVN
2009-09-17 12:49 tbartdev File Added: kdenlive_crash_crop_filter_mlt_pool_release_v2.txt
2009-09-17 12:50 tbartdev Note Added: 0003955
2009-10-12 03:11 ddennedy Status new => assigned
2009-10-12 03:11 ddennedy Assigned To => ddennedy
2009-10-12 03:12 ddennedy Note Added: 0004123
2009-10-12 04:10 ddennedy Note Added: 0004127
2009-10-12 04:10 ddennedy Status assigned => resolved
2009-10-12 04:10 ddennedy Fixed in Version => future version
2009-10-12 04:10 ddennedy Resolution open => fixed
2010-02-02 10:34 j-b-m Fixed in Version future version => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker